libxml++: xmlpp::TextNode Class Reference

libxml++ 5.0.1

Public Member Functions | List of all members
xmlpp::TextNode Class Reference

Text node. More...

`#include <libxml++/nodes/textnode.h>`

Inheritance diagram for xmlpp::TextNode:
[legend]

## Public Member Functions
| TextNode (_xmlNode* node)
| ~TextNode () override
Public Member Functions inherited from xmlpp::ContentNode
| ContentNode (_xmlNode* node)
| ~ContentNode () override
ustring | get_content () const
| Get the text of this content node. More...
bool | is_white_space () const
void | set_content (const ustring& content)
| Set the text of this content node. More...
Public Member Functions inherited from xmlpp::Node
| Node (_xmlNode* node)
| ~Node () override
| Destructor. More...
const _xmlNode* | cobj () const noexcept
| Access the underlying libxml implementation. More...
_xmlNode* | cobj () noexcept
| Access the underlying libxml implementation. More...
bool | eval_to_boolean (const ustring& xpath, const PrefixNsMap& namespaces, XPathResultType* result_type=nullptr) const
| Evaluate an XPath expression. More...
bool | eval_to_boolean (const ustring& xpath, XPathResultType* result_type=nullptr) const
| Evaluate an XPath expression. More...
double | eval_to_number (const ustring& xpath, const PrefixNsMap& namespaces, XPathResultType* result_type=nullptr) const
| Evaluate an XPath expression. More...
double | eval_to_number (const ustring& xpath, XPathResultType* result_type=nullptr) const
| Evaluate an XPath expression. More...
ustring | eval_to_string (const ustring& xpath, const PrefixNsMap& namespaces, XPathResultType* result_type=nullptr) const
| Evaluate an XPath expression. More...
ustring | eval_to_string (const ustring& xpath, XPathResultType* result_type=nullptr) const
| Evaluate an XPath expression. More...
NodeSet | find (const ustring& xpath)
| Find nodes from an XPath expression. More...
const_NodeSet | find (const ustring& xpath) const
| Find nodes from an XPath expression. More...
NodeSet | find (const ustring& xpath, const PrefixNsMap& namespaces)
| Find nodes from an XPath expression. More...
const_NodeSet | find (const ustring& xpath, const PrefixNsMap& namespaces) const
| Find nodes from an XPath expression. More...
NodeList | get_children (const ustring& name=ustring())
| Obtain the list of child nodes. More...
const_NodeList | get_children (const ustring& name=ustring()) const
| Obtain the list of child nodes. More...
Node* | get_first_child (const ustring& name=ustring())
| Get the first child of this node. More...
const Node* | get_first_child (const ustring& name=ustring()) const
| Get the first child of this node. More...
int | get_line () const
| Discover at what line number this node occurs in the XML file. More...
ustring | get_name () const
| Get the name of this node. More...
ustring | get_namespace_prefix () const
| Get the namespace prefix of this node. More...
ustring | get_namespace_uri () const
| Get the namespace URI of this node. More...
Node* | get_next_sibling ()
| Get the next sibling for this node. More...
const Node* | get_next_sibling () const
| Get the next sibling for this node. More...
Element* | get_parent ()
| Get the parent element for this node. More...
const Element* | get_parent () const
| Get the parent element for this node. More...
ustring | get_path () const
| Get the XPath of this node. More...
Node* | get_previous_sibling ()
| Get the previous sibling for this node. More...
const Node* | get_previous_sibling () const
| Get the previous sibling for this node . More...
Node* | import_node (const Node* node, bool recursive=true)
| Import node(s) from another document under this node, without affecting the source node. More...
void | set_name (const ustring& name)
| Set the name of this node. More...
void | set_namespace (const ustring& ns_prefix)
| Set the namespace prefix used by the node. More...

## Additional Inherited Members
Public Types inherited from xmlpp::Node
using | const_NodeList = std::list< const Node* >
using | const_NodeSet = std::vector< const Node* >
using | NodeList = std::list< Node* >
using | NodeSet = std::vector< Node* >
using | PrefixNsMap = std::map< ustring, ustring >
| A map of namespace prefixes to namespace URIs. More...
Static Public Member Functions inherited from xmlpp::Node
static void | create_wrapper (_xmlNode* node)
| Construct the correct C++ instance for a given libxml C struct instance. More...
static void | free_wrappers (_xmlNode* node)
| Delete the C++ instance for a given libxml C struct instance, and also recursively destroy the C++ instances for any children. More...
static void | remove_node (Node* node)
| Remove a node and its children. More...
Protected Member Functions inherited from xmlpp::NonCopyable
| NonCopyable () noexcept
| NonCopyable (const NonCopyable&)=delete
| NonCopyable (NonCopyable&&)=delete
virtual | ~NonCopyable ()
NonCopyable& | operator= (const NonCopyable&)=delete
NonCopyable& | operator= (NonCopyable&&)=delete

## Detailed Description

Text node.

This will be instantiated by the parser.

## Constructor & Destructor Documentation

## ◆ TextNode()

xmlpp::TextNode::TextNode | ( | _xmlNode * | node | ) |
| explicit

## ◆ ~TextNode()

xmlpp::TextNode::~TextNode | ( |  | ) |
| override